Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## things.testing.unit
Enum ResultExpresser.expressionType

    java.lang.Object
      java.lang.Enum<ResultExpresser.expressionType>
          things.testing.unit.ResultExpresser.expressionType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ResultExpresser.expressionType>

Enclosing class:
  ResultExpresser

    public static enum ResultExpresser.expressionType

extends java.lang.Enum<ResultExpresser.expressionType>

Enum Constant Summary
`CASE`
`GROUP`
`TEST`

Method Summary
`java.lang.String` | `getToken()`
`static ResultExpresser.expressionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ResultExpresser.expressionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GROUP

    public static final ResultExpresser.expressionType GROUP

### TEST

    public static final ResultExpresser.expressionType TEST

### CASE

    public static final ResultExpresser.expressionType CASE

Method Detail

### values

    public static ResultExpresser.expressionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ResultExpresser.expressionType c : ResultExpresser.expressionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ResultExpresser.expressionType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getToken

    public java.lang.String getToken()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Things.